#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#
Pod::Spec.new do |s|
  s.name             = 'titanflutter'
  s.version          = '1.0.6'
  s.summary          = 'A next-generation Flutter-Native hybrid solution. TitanFlutter is a Flutter plugin which enables hybrid integration of Flutter for your existing native apps with minimum efforts.'
  s.description      = <<-DESC
A new Flutter plugin make flutter better to use!
                       DESC
  s.homepage         = 'http://phabricator.meiyou.com/diffusion/64/'
  s.license          = { :file => '../LICENSE.md' }
  s.author           = { 'Meiyou Group' => 'hechaohuasir@xiaoyouzi.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*.{h,m,mm}'
  
  s.public_header_files = 
    'Classes/Boost/TitanFlutter.h',
    'Classes/Boost/TitanFlutterPlugin.h',
    'Classes/Boost/FLBPlatform.h',
    'Classes/Boost/FLBFlutterAppDelegate.h',
    'Classes/Container/FLBFlutterViewContainer.h',
    'Classes/Container/FLBViewControllerResultHandler.h'

  s.dependency 'Flutter'
  s.dependency 'seeyou_service'

  s.libraries = 'c++'

  s.ios.deployment_target = '8.0'
end

